## libgpod 0.8.3

=== debian/changelog ===
libgpod (0.8.3-15) unstable; urgency=medium

  * QA upload.
  * debian/control: Bump version requirement of cli-common-dev
    to (>= 0.8~) to suppress warnings.
  * debian/rules: Limit override_dh_makeshlibs to arch-only to
    fix FTBFS with arch:all build.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 Sep 2019 14:07:16 -0400

libgpod (0.8.3-14) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Andrey Rahmatullin ]
  * Drop the Python subpackage.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 21 Aug 2019 22:31:15 +0500

libgpod (0.8.3-13) unstable; urgency=medium

  * QA upload.
  * Rebuild against gcc 8.
  * debian: Bump debhelper compat to v11.
  * debian/control:
    + Remove unnecessary build-dep dh-autoreconf and autotools-dev.
    + Bump Standards-Version to 4.2.1.
    + Update Vcs-* fields and use git repo on Salsa Debian group.
    + Mark libgpod-doc as M-A: foreign as suggested by Multiarch hinter.
  * debian/rules: Remove unnecessary dh parameters.
  * debian/copyright: Refresh header information.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Sep 2018 15:42:04 -0400

libgpod (0.8.3-12) unstable; urgency=high

  * QA upload.
  * python-gpod: Add the missing dependency on python-gobject-2.
    (Closes: #896230)

 -- Adrian Bunk <bunk@debian.org>  Sun, 12 Aug 2018 13:11:58 +0300

libgpod (0.8.3-11) unstable; urgency=medium

  * QA upload.
  * debian/control: Update according to pkgconfig files
    - Have libpod-cil-dev depend on libgtk2.0-cil-dev
    - Don't have libgpod-dev depend on libgtk2.0-dev
      (Closes: #628194) (LP: #789472)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 04 Dec 2017 21:50:10 -0500

libgpod (0.8.3-10) unstable; urgency=medium

  * QA upload.
  * debian/control: Build-depends against python-gobject-2-dev instead of
    python-gobject-dev, the later is a transitional package

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Nov 2017 18:04:57 +0100

libgpod (0.8.3-9) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #867215)
  * Run gtkdocize to fix FTBFS with gtk-doc-tools 1.26.
    (Closes: #876583)
  * Remove the transitional packages libgpod-nogtk-dev
    and libgpod4-nogtk.

 -- Adrian Bunk <bunk@debian.org>  Sat, 30 Sep 2017 12:36:04 +0300

libgpod (0.8.3-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Correctly migrate /usr/share/doc/libgpod-nogtk-dev from symlink
    to directory. Saving a few KiB by changing it back to a symlink
    does not seem worthwhile when this is a transitional package that
    can be removed shortly after. (Closes: #859588)

 -- Simon McVittie <smcv@debian.org>  Fri, 07 Apr 2017 09:33:15 +0100

libgpod (0.8.3-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert "no GTK" packages into transitional packages that depend on
    the full version. They were requested in #386715 to avoid a GTK
    dependency, but now the only thing they avoid is gdk-pixbuf, and
    there is no user of libgpod in Debian that does not already depend
    on gdk-pixbuf anyway. The extra complexity caused the binary packages
    to be non-reproducible, and sometimes made Recommends uninstallable.
    (Closes: 838116)
  * Add missing build-dependency on dh-python (for dh_python2)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Mar 2017 11:18:06 +0100

libgpod (0.8.3-8) unstable; urgency=medium

  * [1c62c0c] Update -cil binary packages arch list.
    Thanks to Logan

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 08 Jun 2016 14:02:43 +0800

libgpod (0.8.3-7) unstable; urgency=medium

  * [13ef2d0] Add arm64 as a mono arch

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 13 Apr 2016 01:27:29 +0800

libgpod (0.8.3-6) unstable; urgency=medium

  * [a686468] Revert "Update build-deps to use gtk# and glib# 3"
    This reverts commits abca2742ec821f159402bd3850b6366ffa3736ca and
    fc821b423c10a69df47cb822d3fa8d9df5acd673, because Banshee in unstable
    requires gtk#2 and glib#2.

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 02 Apr 2016 22:03:57 +0800

libgpod (0.8.3-5) unstable; urgency=medium

  * [4af2b06] Refresh list of mono architectures (Closes: #808497)
  * [123fd9a] Fix FTBFS from wrong comment char in gpod.i (Closes: #804472)
  * [15bf3dc] Fix BSD-3-clause license shortname
  * [e7930ae] No-change bump of Standards-Version to 3.9.6

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 21 Dec 2015 01:14:42 +0800

libgpod (0.8.3-4) experimental; urgency=low

  * [2a24768] Patch to disambiguate DateTime class usage

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 02 Jan 2014 03:11:48 +0800

libgpod (0.8.3-3) experimental; urgency=low

  * [fb3afcd] Disable gtk-doc unless libgpod-doc is being built.
    This works around odd build failures while building documentation on
    kfreebsd-amd64.
  * [f1db941] Disable silent rules

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 02 Dec 2013 15:20:29 +0800

libgpod (0.8.3-2) experimental; urgency=low

  * Acknowledge NMU
  * [fa02ba3] Update d/patches to use gbp-pq
  * [fc821b4] Import patch to port libgpod# to gtk#3 and glib#3
  * [abca274] Update build-deps to use gtk# and glib# 3

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 24 Nov 2013 22:34:03 +0800

libgpod (0.8.3-1.1) unstable; urgency=low

  * Non-maintainer upload
  * debian/control:
    + Remove IA64 and SPARC from list of architectures for Mono packages
      (Closes: #727594)

 -- Jo Shields <directhex@apebox.org>  Thu, 07 Nov 2013 19:27:37 +0000

libgpod (0.8.3-1) unstable; urgency=low

  * [918c14e] Imported Upstream version 0.8.3
  * [773a2e6] No change bump of Standards-Version to 3.9.4
  * [aba5036] Refresh 90_speed_itdb_resolve.patch
  * [7e7de93] Fix LDFLAGS exporting

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 31 Oct 2013 02:19:22 +0800
