=== debian/watch ===
version=3
https://sf.net/gtkpod/libgpod-(.+)\.tar\.bz2
